Package org.apache.torque.templates.transformer

## Class CollectAttributeSetTrueTransformer

- java.lang.Object
- - org.apache.torque.templates.transformer.CollectAttributeSetTrueTransformer

-     public class CollectAttributeSetTrueTransformer
      extends Object

  Collects the children which have a certain attribute set to true in another child element. So the source elements are rootElement ${childrenToProcessName} ... ${childrenToProcessName} ... ... and the outcome is rootElement ${childrenToProcessName} ... ${childrenToProcessName} ... ... ${targetElementName} ${childrenToProcessName} ... ...

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollectAttributeSetTrueTransformer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `transform​(SourceElement rootElement, ControllerState controllerState, SourceElementName childrenToProcessName, SourceAttributeName attributeToCheckName, SourceElementName targetElementName)` | Processes the transformation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectAttributeSetTrueTransformer

          public CollectAttributeSetTrueTransformer()

  - ### Method Detail

    - #### transform

          public void transform​(SourceElement rootElement,
                                ControllerState controllerState,
                                SourceElementName childrenToProcessName,
                                SourceAttributeName attributeToCheckName,
                                SourceElementName targetElementName)

      Processes the transformation.
      Parameters:
        `rootElement` - the root of the transformation.
        `controllerState` - the controller state, not null.
        `childrenToProcessName` - the name of the child elements to check.
        `attributeToCheckName` - the attribute in the child which is checked for the value "true"
        `targetElementName` - the child element which collects the hits.